Oracle Linux 4 : pidgin (ELSA-2009-1139)

Medium Nessus Plugin ID 67888


The remote Oracle Linux host is missing one or more security updates.


From Red Hat Security Advisory 2009:1139 :

Updated pidgin packages that fix one security issue and one bug are now available for Red Hat Enterprise Linux 4 and 5.

This update has been rated as having moderate security impact by the Red Hat Security Response Team.

Pidgin is an instant messaging program which can log in to multiple accounts on multiple instant messaging networks simultaneously. The AOL Open System for CommunicAtion in Realtime (OSCAR) protocol is used by the AOL ICQ and AIM instant messaging systems.

A denial of service flaw was found in the Pidgin OSCAR protocol implementation. If a remote ICQ user sent a web message to a local Pidgin user using this protocol, it would cause excessive memory usage, leading to a denial of service (Pidgin crash). (CVE-2009-1889)

These updated packages also fix the following bug :

* the Yahoo! Messenger Protocol changed, making it incompatible (and unusable) with Pidgin versions prior to 2.5.7. This update provides Pidgin 2.5.8, which implements version 16 of the Yahoo! Messenger Protocol, which resolves this issue.

Note: These packages upgrade Pidgin to version 2.5.8. Refer to the Pidgin release notes for a full list of changes:

All Pidgin users should upgrade to these updated packages, which correct these issues. Pidgin must be restarted for this update to take effect.


Update the affected pidgin packages.

See Also

Plugin Details

Severity: Medium

ID: 67888

File Name: oraclelinux_ELSA-2009-1139.nasl

Version: $Revision: 1.6 $

Type: local

Agent: unix

Published: 2013/07/12

Modified: 2016/05/20

Dependencies: 12634

Risk Information

Risk Factor: Medium


Base Score: 5

Temporal Score: 3.9

Vector: CVSS2#AV:N/AC:L/Au:N/C:N/I:N/A:P

Temporal Vector: CVSS2#E:POC/RL:OF/RC:C

Vulnerability Information

CPE: p-cpe:/a:oracle:linux:finch, p-cpe:/a:oracle:linux:finch-devel, p-cpe:/a:oracle:linux:libpurple, p-cpe:/a:oracle:linux:libpurple-devel, p-cpe:/a:oracle:linux:libpurple-perl, p-cpe:/a:oracle:linux:libpurple-tcl, p-cpe:/a:oracle:linux:pidgin, p-cpe:/a:oracle:linux:pidgin-devel, p-cpe:/a:oracle:linux:pidgin-perl, cpe:/o:oracle:linux:4

Required KB Items: Host/local_checks_enabled, Host/OracleLinux, Host/RedHat/release, Host/RedHat/rpm-list

Exploit Available: true

Exploit Ease: Exploits are available

Patch Publication Date: 2009/07/02

Reference Information

CVE: CVE-2009-1889

BID: 35530

OSVDB: 55588

RHSA: 2009:1139

CWE: 399